Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.crypto.agreement.jpake
Class JPAKERound1Payload

    java.lang.Object
      org.bouncycastle.crypto.agreement.jpake.JPAKERound1Payload

public class JPAKERound1Payload
extends java.lang.Object

The payload sent/received during the first round of a J-PAKE exchange.

Each `JPAKEParticipant` creates and sends an instance of this payload to the other `JPAKEParticipant`. The payload to send should be created via `JPAKEParticipant.createRound1PayloadToSend()`.

Each `JPAKEParticipant` must also validate the payload received from the other `JPAKEParticipant`. The received payload should be validated via `JPAKEParticipant.validateRound1PayloadReceived(JPAKERound1Payload)`.

Constructor Summary
`JPAKERound1Payload(java.lang.String participantId, java.math.BigInteger gx1, java.math.BigInteger gx2, java.math.BigInteger[] knowledgeProofForX1, java.math.BigInteger[] knowledgeProofForX2)`

Method Summary
`java.math.BigInteger` | `getGx1()`
`java.math.BigInteger` | `getGx2()`
`java.math.BigInteger[]` | `getKnowledgeProofForX1()`
`java.math.BigInteger[]` | `getKnowledgeProofForX2()`
`java.lang.String` | `getParticipantId()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JPAKERound1Payload

    public JPAKERound1Payload(java.lang.String participantId,
                              java.math.BigInteger gx1,
                              java.math.BigInteger gx2,
                              java.math.BigInteger[] knowledgeProofForX1,
                              java.math.BigInteger[] knowledgeProofForX2)

Method Detail

### getParticipantId

    public java.lang.String getParticipantId()

### getGx1

    public java.math.BigInteger getGx1()

### getGx2

    public java.math.BigInteger getGx2()

### getKnowledgeProofForX1

    public java.math.BigInteger[] getKnowledgeProofForX1()

### getKnowledgeProofForX2

    public java.math.BigInteger[] getKnowledgeProofForX2()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD